from time import sleep
import robot

TURN_A = 5.3 # 10 degrees turn at power 1
TURN_COUNTER_OFFSET = 1.042

def main():
    # Gets the power for the robot
    power = input("Power (64):")
    if power == "":
        power = 64
    else:
        power = int(power)

    # Gets the offset for the robot
    offset = input("Offset (4):")
    if offset == "":
        offset = 64
    else:
        offset = int(offset)

    # Calculates sleep times for the robot
    turn_t = 0.076 # 10 degrees turn at given power

    # Initializes the robot and runs the
    arlo = robot.Robot()

    arlo.go_diff(power, power + offset, 0, 1)
    sleep(turn_t * 36 * TURN_COUNTER_OFFSET)

    arlo.stop()
    sleep(1)

    arlo.go_diff(power, power + offset, 1, 0)
    sleep(turn_t * 36)

    arlo.stop()

if __name__ == "__main__":
    main()
